websocket-sharp : WebSocketSharp.Server Namespace

# RequestEventArgs Class

Contains the event data associated with the request events of the WebSocketSharp.Server.HttpServer class.

## Syntax

public class RequestEventArgs : EventArgs

## Remarks

A request event occurs when a WebSocketSharp.Server.HttpServer instance receives an HTTP request. If you want to get the HTTP request objects, you should access the ResponseEventArgs.Request property. If you want to get the HTTP response objects to send, you should access the ResponseEventArgs.Response property.

## Requirements

Namespace: WebSocketSharp.Server
Assembly: websocket-sharp (in websocket-sharp.dll)

## Members

See Also: Inherited members from EventArgs.

## Public Properties

[read-only] | Request | WebSocketSharp.Net.HttpListenerRequest . Gets the HTTP request objects sent from a client.
[read-only] | Response | WebSocketSharp.Net.HttpListenerResponse . Gets the HTTP response objects to send to the client in response to the client's request.

## Extension Methods

static | IsNull<T> (this T) : bool Determines whether the specified object is `null`.
static | IsNullDo<T> (this T, Action) : bool Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### Request Property

> Gets the HTTP request objects sent from a client.

> ## Syntax

> public WebSocketSharp.Net.HttpListenerRequest Request { get; }

> #### Value

> > A WebSocketSharp.Net.HttpListenerRequest that contains the HTTP request objects.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Response Property

> Gets the HTTP response objects to send to the client in response to the client's request.

> ## Syntax

> public WebSocketSharp.Net.HttpListenerResponse Response { get; }

> #### Value

> > A WebSocketSharp.Net.HttpListenerResponse that contains the HTTP response objects.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)